package com.hzs.bonus.achieve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.member.achieve.CuMemberAchieve;
import com.hzs.common.domain.sale.order.SaOrder;

/**
 * 会员业绩记录 服务类
 */
public interface ICuMemberAchieveService extends IService<CuMemberAchieve> {

    /**
     * 创建每月的会员业绩记录表
     *
     * @param date 日期
     */
    String createCuMemberAchieve(String date);

    /**
     * 创建每年的业绩统计年表，用于放月表
     *
     * @param tableName 表名
     */
    void createCuMemberMonthTable(String tableName);

    /*
     * 更新会员业绩表 每月月统计报表
     **/
    void mergeCuMemberMonth(Integer day, String date);

    /*
     *  退单回退业绩
     **/
    Boolean chargeBackSaOrder(SaOrder saOrder);

}
